Page MenuHomePhabricator

"description page there" (commons images) links to [[commons:file:API]]
Closed, ResolvedPublic

Description

Android App 2.0-beta-2014-11-03 @ lollipop 5.0.1

"description page there" (commons images) links to [[commons:file:API]]

go to any article with a commons image. click the image. click "description page there"

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterEnsure file page mobile views have the proper title in context

Event Timeline

jeremyb-phone raised the priority of this task from to Needs Triage.
jeremyb-phone updated the task description. (Show Details)
jeremyb-phone changed Security from none to None.
jeremyb-phone added a subscriber: jeremyb-phone.
Krenair added a subscriber: Krenair.Dec 9 2014, 6:22 PM
Deskana added a subscriber: Deskana.Dec 9 2014, 7:15 PM

This appears to be a problem with the API. I went to a random file page on the app and inspected the response from the API, and this was in it:

<a href="//commons.wikimedia.org/wiki/File:API" class="extiw" title="commons:File:API">description page there</a>

What was the request made to the API exactly?

I chatted with Max and he says this is probably a bug in MobileFrontend.

Schnark added subscribers: Unknown Object (MLST), bzimport.
Schnark added a subscriber: Schnark.

Since this task has already more information than the older one, I merged T40756 into this rather then the other way round.

KTC added a subscriber: KTC.Dec 19 2014, 4:13 PM

Change 181178 had a related patch set uploaded (by MaxSem):
Ensure file page mobile views have the proper title in context

https://gerrit.wikimedia.org/r/181178

Patch-For-Review

KLans_WMF triaged this task as Medium priority.Dec 19 2014, 11:28 PM

Change 181178 merged by jenkins-bot:
Ensure file page mobile views have the proper title in context

https://gerrit.wikimedia.org/r/181178

Deskana closed this task as Resolved.Dec 22 2014, 6:45 PM
Deskana claimed this task.

Resolved. Just have to wait for this to go live now.